Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.stat.descriptive.rank
Class Median

    java.lang.Object
      org.apache.commons.math3.stat.descriptive.AbstractUnivariateStatistic
          org.apache.commons.math3.stat.descriptive.rank.Percentile
              org.apache.commons.math3.stat.descriptive.rank.Median

All Implemented Interfaces:
  Serializable, UnivariateStatistic, MathArrays.Function

    public class Median

extends Percentile
implements Serializable

Returns the median of the available values. This is the same as the 50th percentile. See `Percentile` for a description of the algorithm used.

Note that this implementation is not synchronized. If multiple threads access an instance of this class concurrently, and at least one of the threads invokes the `increment()` or `clear()` method, it must be synchronized externally.

Version:
  $Id: Median.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`Median()` Default constructor.
`Median(Median original)` Copy constructor, creates a new `Median` identical to the `original`

Method Summary

Methods inherited from class org.apache.commons.math3.stat.descriptive.rank.Percentile
`copy, copy, evaluate, evaluate, evaluate, evaluate, getQuantile, setData, setData, setQuantile`

Methods inherited from class org.apache.commons.math3.stat.descriptive.AbstractUnivariateStatistic
`evaluate, evaluate, getData, getDataRef, test, test, test, test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Median

    public Median()

  Default constructor.

### Median

    public Median(Median original)
           throws NullArgumentException

  Copy constructor, creates a new `Median` identical to the `original`

  Parameters:
    `original` - the `Median` instance to copy
  Throws:
    `NullArgumentException` - if original is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.